import request from '@/utils/request'

// 查询数据调查-农民房屋列表
export function listNmfw(query) {
  return request({
    url: '/home/homesteadnmfw/list',
    method: 'get',
    params: query
  })
}

// 导出数据调查-农民房屋
export function exportNmfw(query) {
  return request({
    url: '/home/homesteadnmfw/export',
    method: 'get',
    params: query
  })
}

// 查询数据调查-农民房屋详细
export function getNmfw(id) {
  return request({
    url: '/home/homesteadnmfw/get/' + id,
    method: 'get'
  })
}

// 新增数据调查-农民房屋
export function addNmfw(data) {
  return request({
    url: '/home/homesteadnmfw/add',
    method: 'post',
    data: data
  })
}

// 新增数据调查-户主信息
export function nmfwConnectTask(data) {
  return request({
    url: '/home/homesteadnmfw/connectTask',
    method: 'post',
    data: data
  })
}

// 修改数据调查-农民房屋
export function updateNmfw(data) {
  return request({
    url: '/home/homesteadnmfw/edit',
    method: 'post',
    data: data
  })
}

// 删除数据调查-农民房屋
export function delNmfw(id) {
  return request({
    url: '/home/homesteadnmfw/remove/' + id,
    method: 'get'
  })
}

